Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking flow
Query availabilitySearch availabilityBookBooking details as filled in by guests in the booking form
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
attachmenttext | nullAttachmnt URL
descriptionMultiLanguageStringLocalized description of the form field
nameMultiLanguageStringLocalized name of the form field
valuetext | nullValue filled in by the guest
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"option_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:24:09.754Z",
"updated_at": "2026-03-12T05:24:09.754Z",
"attachment": "",
"description": {
"default": "Hello",
"nl-NL": "Hallo"
},
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"value": ""
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Attachmnt URL
descriptionFilter<MultiLanguageString>Localized description of the form field
nameFilter<MultiLanguageString>Localized name of the form field
valueFilter<text | null>Value filled in by the guest
200A list of booking details with the selected columns
206Partial Content
GET /booking_detailscurl -X GET "https://api.bookingmood.com/v1/booking_details?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<BookingDetail> | Array<Partial<BookingDetail>>201The newly created booking details with the selected columns
POST /booking_detailscurl -X POST "https://api.bookingmood.com/v1/booking_details" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Attachmnt URL
descriptionFilter<MultiLanguageString>Localized description of the form field
nameFilter<MultiLanguageString>Localized name of the form field
valueFilter<text | null>Value filled in by the guest
204The deleted booking details with the selected columns
DELETE /booking_detailscurl -X DELETE "https://api.bookingmood.com/v1/booking_details" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Attachmnt URL
descriptionFilter<MultiLanguageString>Localized description of the form field
nameFilter<MultiLanguageString>Localized name of the form field
valueFilter<text | null>Value filled in by the guest
Partial<BookingDetail>204The updated booking details with the selected columns
PATCH /booking_detailscurl -X PATCH "https://api.bookingmood.com/v1/booking_details" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'